summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorJustin R. Miller <incanus@codesorcery.net>2015-05-04 16:07:08 -0700
committerJustin R. Miller <incanus@codesorcery.net>2015-05-04 16:07:08 -0700
commit8151a1e17fce418177e2ef4b63e56d8a013238e9 (patch)
treec17a294b5e432fadff364d0dc73d1562cd204773 /scripts
parentc2858dd45f735d99b1bc46043cff0b2a6b176c63 (diff)
downloadqtlocation-mapboxgl-8151a1e17fce418177e2ef4b63e56d8a013238e9.tar.gz
add HTML docs generation to iOS packaging script
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/ios/package.sh20
1 files changed, 20 insertions, 0 deletions
diff --git a/scripts/ios/package.sh b/scripts/ios/package.sh
index 4cd22d48e6..dd9e216ace 100755
--- a/scripts/ios/package.sh
+++ b/scripts/ios/package.sh
@@ -92,3 +92,23 @@ cp -pv LICENSE.md "${OUTPUT}/static"
mkdir -p "${OUTPUT}/static/${NAME}.bundle"
cp -pv platform/ios/resources/* "${OUTPUT}/static/${NAME}.bundle"
cp -prv styles/styles "${OUTPUT}/static/${NAME}.bundle/styles"
+
+step "Creating API Docs..."
+if [ -z `which appledoc` ]; then
+ echo "Unable to find appledoc. Consider installing it from source or Homebrew."
+ exit 1
+fi
+DOCS_OUTPUT="${OUTPUT}/static/Docs"
+DOCS_VERSION=$( git tag -l ios\* --sort -v:refname | sed -n '1p' | sed 's/ios-v//' )
+appledoc \
+ --output ${DOCS_OUTPUT} \
+ --project-name "Mapbox GL for iOS ${DOCS_VERSION}" \
+ --project-company Mapbox \
+ --create-html \
+ --no-create-docset \
+ --no-install-docset \
+ --company-id com.mapbox \
+ include/mbgl/ios
+cd ${DOCS_OUTPUT}
+ln -s html/index.html
+cd ${OLDPWD}